/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./multiselect.component";
import * as i2 from "./summary-tag.directive";
import * as i3 from "../common/templates/custom-item-template.directive";
import * as i4 from "../common/templates/fixed-group-template.directive";
import * as i5 from "../common/templates/footer-template.directive";
import * as i6 from "../common/templates/group-template.directive";
import * as i7 from "../common/templates/group-tag-template.directive";
import * as i8 from "../common/templates/tag-template.directive";
import * as i9 from "../common/templates/header-template.directive";
import * as i10 from "../common/templates/item-template.directive";
import * as i11 from "../common/templates/no-data-template.directive";
import * as i12 from "../common/filtering/filter.directive";
import * as i13 from "../common/localization/custom-messages.component";
import * as i14 from "@progress/kendo-angular-common";
/**
 *
 * The exported package module.
 *
 * The package exports:
 * - `MultiSelectComponent`&mdash;The MultiSelect component class.
 * - `SummaryTagDirective`&mdash;The MultiSelect summary tag directive.
 * - `ItemTemplateDirective`&mdash;The item template directive.
 * - `CustomItemTemplateDirective`&mdash;The custom item template directive.
 * - `TagTemplateDirective`&mdash;The tag template directive.
 * - `GroupTagTemplateDirective`&mdash;The group tag template directive.
 * - `SummaryTagTemplateDirective`&mdash;The summary tag template directive.
 * - `HeaderTemplateDirective`&mdash;The header template directive.
 * - `FooterTemplateDirective`&mdash;The footer template directive.
 * - `NoDataTemplateDirective`&mdash;The no-data template directive.
 * - `FilterDirective`&mdash;The filter directive.
 * - `CustomMessagesComponent`&mdash;The custom messages component.
 * - `GroupTemplateDirective`&mdash;The group template directive.
 * - `FixedGroupTemplateDirective`&mdash;The fixed group template directive.
 * - `SuffixTemplateDirective`&mdash;The suffix template directive.
 * - `PrefixTemplateDirective`&mdash;The prefix template directive.
 */
export declare class MultiSelectModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MultiSelectModule, never, [typeof i1.MultiSelectComponent, typeof i2.SummaryTagDirective, typeof i3.CustomItemTemplateDirective, typeof i4.FixedGroupTemplateDirective, typeof i5.FooterTemplateDirective, typeof i6.GroupTemplateDirective, typeof i7.GroupTagTemplateDirective, typeof i8.TagTemplateDirective, typeof i9.HeaderTemplateDirective, typeof i10.ItemTemplateDirective, typeof i11.NoDataTemplateDirective, typeof i12.FilterDirective, typeof i13.CustomMessagesComponent, typeof i14.SuffixTemplateDirective, typeof i14.PrefixTemplateDirective, typeof i14.SeparatorComponent], [typeof i1.MultiSelectComponent, typeof i2.SummaryTagDirective, typeof i3.CustomItemTemplateDirective, typeof i4.FixedGroupTemplateDirective, typeof i5.FooterTemplateDirective, typeof i6.GroupTemplateDirective, typeof i7.GroupTagTemplateDirective, typeof i8.TagTemplateDirective, typeof i9.HeaderTemplateDirective, typeof i10.ItemTemplateDirective, typeof i11.NoDataTemplateDirective, typeof i12.FilterDirective, typeof i13.CustomMessagesComponent, typeof i14.SuffixTemplateDirective, typeof i14.PrefixTemplateDirective, typeof i14.SeparatorComponent, typeof i14.AdornmentsModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MultiSelectModule>;
}
